Skip to main content

Exchange-Specific Analytics

Direct analytics from individual exchange APIs — deeper data than the aggregated endpoints.

Binance Analytics

GET /v1/analytics/top-traders

Top trader long/short ratio from Binance Futures.
symbol
string
Symbol (e.g., BTC)
limit
integer
default:"30"
Data points
curl "https://api.crypton.dev/v1/analytics/top-traders?symbol=BTC&limit=10"

GET /v1/analytics/taker-volume

Taker buy/sell volume from Binance Futures.
symbol
string
Symbol
limit
integer
default:"30"
Data points
curl "https://api.crypton.dev/v1/analytics/taker-volume?symbol=BTC"

GET /v1/liquidations/feed

Live liquidation feed from Binance Futures.
symbol
string
Filter by symbol
limit
integer
default:"50"
Max orders
curl "https://api.crypton.dev/v1/liquidations/feed?symbol=BTC&limit=10"

OKX Analytics

GET /v1/analytics/okx/long-short

OKX long/short account ratio.
symbol
string
Currency (e.g., BTC)
curl "https://api.crypton.dev/v1/analytics/okx/long-short?symbol=BTC"

GET /v1/analytics/okx/taker-volume

OKX taker buy/sell volume.
curl "https://api.crypton.dev/v1/analytics/okx/taker-volume?symbol=BTC"

GET /v1/analytics/okx/top-traders

OKX top trader long/short ratio.
curl "https://api.crypton.dev/v1/analytics/okx/top-traders?symbol=BTC"

GET /v1/analytics/okx/liquidations

OKX liquidation orders.
curl "https://api.crypton.dev/v1/analytics/okx/liquidations?symbol=BTC"

GET /v1/analytics/okx/funding-history

OKX historical funding rates.
symbol
string
Symbol
limit
integer
default:"100"
Data points
curl "https://api.crypton.dev/v1/analytics/okx/funding-history?symbol=BTC&limit=48"

Bybit Analytics

GET /v1/analytics/bybit/long-short

Bybit long/short account ratio.
symbol
string
required
Symbol (e.g., BTC)
curl "https://api.crypton.dev/v1/analytics/bybit/long-short?symbol=BTC"

GET /v1/analytics/bybit/oi-history

Bybit open interest history.
symbol
string
required
Symbol
interval
string
required
Interval: 5m, 15m, 30m, 1h, 4h, 1d
limit
integer
default:"50"
Data points
curl "https://api.crypton.dev/v1/analytics/bybit/oi-history?symbol=BTC&interval=1h&limit=24"

GET /v1/analytics/bybit/funding-history

Bybit historical funding rates.
symbol
string
required
Symbol
limit
integer
default:"50"
Data points
curl "https://api.crypton.dev/v1/analytics/bybit/funding-history?symbol=BTC&limit=24"

HTX Analytics

GET /v1/analytics/htx/elite-account-ratio

HTX elite trader account long/short ratio.
curl "https://api.crypton.dev/v1/analytics/htx/elite-account-ratio"

GET /v1/analytics/htx/elite-position-ratio

HTX elite trader position long/short ratio.
curl "https://api.crypton.dev/v1/analytics/htx/elite-position-ratio"

GET /v1/analytics/htx/funding-history

HTX historical funding rates.
curl "https://api.crypton.dev/v1/analytics/htx/funding-history"

Hyperliquid Analytics

GET /v1/analytics/hyperliquid/clearinghouse

Hyperliquid clearinghouse state — total OI, volumes, and margin data.
curl "https://api.crypton.dev/v1/analytics/hyperliquid/clearinghouse"

GET /v1/analytics/hyperliquid/vault

Hyperliquid vault details and performance.
curl "https://api.crypton.dev/v1/analytics/hyperliquid/vault"

GET /v1/analytics/hyperliquid/funding-history

Hyperliquid historical funding rates (1h intervals, auto-normalized to 8h).
curl "https://api.crypton.dev/v1/analytics/hyperliquid/funding-history"

Backpack Analytics

GET /v1/analytics/backpack/open-interest

Backpack exchange open interest.
symbol
string
Filter by symbol
curl "https://api.crypton.dev/v1/analytics/backpack/open-interest?symbol=BTC"

GET /v1/analytics/backpack/funding-rates

Backpack exchange funding rates.
curl "https://api.crypton.dev/v1/analytics/backpack/funding-rates"

GET /v1/analytics/backpack/mark-prices

Backpack mark and index prices.
curl "https://api.crypton.dev/v1/analytics/backpack/mark-prices"

GET /v1/analytics/backpack/depth

Backpack orderbook depth.
symbol
string
Symbol
curl "https://api.crypton.dev/v1/analytics/backpack/depth?symbol=BTC"